"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Close = exports.Alert = void 0;

require("./styles.css");

var Alert = {
  name: 'Alert',
  props: {
    id: [String, Number],
    title: [String, Object],
    close: Function,
    clear: Function,
    reset: Function
  },
  render: function render() {
    var clear = this.clear;
    var reset = this.reset;
    return <span id={this.id} vOn:mouseenter={clear} vOn:mouseleave={reset} class="Breadstick__alert">
        {typeof title === 'string' ? <div class="Breadstick__alert_text">{this.title}</div> : this.title}
        {!this.title && this.$slots.default}
        {this.close && <Close close={this.close} />}
      </span>;
  }
};
exports.Alert = Alert;
var Close = {
  name: 'Close',
  props: {
    close: {
      type: Function,
      default: function _default() {
        return null;
      }
    }
  },
  render: function render() {
    return <button class="Breadstick__alert_close" type="button" aria-label="Close" onClick={this.close}>
        <span aria-hidden="true">×</span>
      </button>;
  }
};
exports.Close = Close;